package eu.openaire.urls_controller.models;


import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "id",
        "url"
})
public class UrlToCheck {  // This model will not match with a database,


    @JsonProperty("id")
    private String id;


    @JsonProperty("url")
    private String url;


    public UrlToCheck() {
    }

    public UrlToCheck(String id, String url) {
        this.id = id;
        this.url = url;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return "{\"id\":\"" + id + "\",\"url\":\"" + url + "\"}\n";
    }
}
